#ifndef lint
static char *rcsid = "$Header: /scratch/fock/cvsroot/xd/xdgraph/src/fouManager.c,v 2.10 1996/07/25 09:14:52 richter Rel $";
static char *copyright = "Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.";
#endif
/*
 * $Log: fouManager.c,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  15:54:28  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:07  richter
 * First semi-public beta release
 *
 *
 */
/*
 *----------------------------------------------------------------------
 * include files
 *----------------------------------------------------------------------
 */
#include "conf.h"               /* global configuration                 */
#include "xdgraph.h"		/* type definitions and array sizes     */
#include "fouProto.h"
#include "pltProto.h"

void
fouClean(CellP cPtr,
	 int old)		/* was in use ==> free malloc'ed objects  */

{
    int i, k;

    if (!cPtr) return;

    for (i=0; i<3; ++i) {
	for (k=0; k<3; ++k) {
	    cPtr->dirmet[i][k] = 0.;
	    cPtr->rcpmet[i][k] = 0.;
	}
	cPtr->dirmet[i][i] = 1.;
	cPtr->rcpmet[i][i] = 1.;
    }
    cPtr->xcell = 1.;
    cPtr->ycell = 1.;
    cPtr->zcell = 1.;
    cPtr->alpha = 90.;
    cPtr->beta =  90.;
    cPtr->gamma = 90.;
    return;
}

int
fouInfo(Tcl_Interp *interp,
	CellP cPtr)
{
    sprintf(buf, "\tCell: %f %f %f  %.2f %.2f %.2f\n",
	   cPtr->xcell, cPtr->ycell, cPtr->zcell,
	   cPtr->alpha, cPtr->beta, cPtr->gamma);
    Tcl_AppendResult(interp, buf, NIL);
    return TCL_OK;
}
