#ifndef XD_HEITYPES_H
#define XD_HEITYPES_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/heiTypes.h,v 2.11 1996/09/06 11:20:40 richter Rel $
 *
 * $Log: heiTypes.h,v $
 * Revision 2.11  1996/09/06 11:20:40  richter
 * new 'tag' field (for the display list interface)
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/07/25  06:17:07  richter
 * color map and high/low cutoff on heightfields
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:18  richter
 * First semi-public beta release
 *
 *
 */

#define M_HEI_IN_USE 0x01
#define M_HEI_HAS_COLORRAMP 0x02
typedef struct heightS *HeightP;
typedef struct heightS {
    char   *name;
    int    flags;
    int    tag;
    StyleT style[2];
    int    plane;
    double vertac, hcut, lcut;
    char   *map;
    char   *view;
    char   *object;
} HeightT;

#endif
