#ifndef XD_LINPROTO_H
#define XD_LINPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/linProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: linProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:23  richter
 * First semi-public beta release
 *
 *
 */

/* linManager.c */
extern void linCoord(double axes[3][3], double vx[3], double vy[3]);
extern void linUnit(double a[3], double basis[3][3], double fnorm, int jdel);
extern void linCrosuv(double uu[3], double vv[3], double uv[3]);
extern void linRotate(double basis[3][3], double angle, int irotax, int iax1, int iax2);
extern void linInvert(double a[3][3], double b[3][3]);

#endif
