#ifndef XD_NAMPROTO_H
#define XD_NAMPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/namProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: namProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:18  richter
 * First semi-public beta release
 *
 *
 */

/* namManager.c */
extern int namAlloc(char *type, char *name, void *data);
extern void namFree(char *type, char *name);
extern int namListByName(char *type, char *match);
extern void *namFindByName(char *type, char *name);

#endif
