/* modes:
 * -99 end of list
 *  -5 begin rectangle
 *  -1 begin move/draw coordinates (move)
 *   0 move
 *   1 draw
 */

#define NUM_MARKER 4
static MarkDataT mark_data[] = {
    /* 0 (mark atoms in plane) */
    {-1, -0.06, 0.}, {1, 0.04, 0.}, {0, 0., -0.06}, {1, 0., 0.04},
    /* 1 (mark atoms above plane) */
    {-1, -0.06, 0.}, {1, -0.04, 0.}, {0, 0.04, 0.}, {1, 0.06, 0.},
    {0, 0., -0.06}, {1, 0., -0.04}, {0, 0., 0.04}, {1, 0., 0.06},
    /* 2 (mark atoms below plane) */
    {-1, -0.06, -0.02}, {1, -0.06, 0.02}, {0, 0.06, -0.02}, {1, 0.06, 0.02},
    {0, -0.02, -0.06}, {1, 0.02, -0.06}, {0, -0.02, 0.06}, {1, 0.02, 0.06},
    /* 3 (small rectangle) */
    {-5, -0.01, -0.01}, {1, 0.01, 0.01},
    /* end of marker list */
    {-99, 0., 0.}
};

