#ifndef XD_CTRPROTO_H
#define XD_CTRPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/ctrProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: ctrProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:18  richter
 * First semi-public beta release
 *
 *
 */

/* ctrCommand.c */
extern int ContourCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
extern int ContourObjectCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
/* ctrEngine.c */
extern int ctrEngine(GridT *g, ContourP c);
/* ctrManager.c */
extern ContourP ctrAlloc(char *name);
extern void ctrClean(ContourP cPtr, int old);
extern void ctrFree(ContourP *ctr);
extern int ctrListByName(char *match);
extern ContourP ctrFindByName(char *name);
extern LevelP lvlAlloc(void);
extern void lvlClean(LevelP lvl, int old);
extern void lvlFree(LevelP *lvl);
extern void lvlClearPlotFlag(LevelP lvl);
extern void lvlClearCalcFlag(LevelP lvl);

#endif
