#ifndef XD_DLPROTO_H
#define XD_DLPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/dlProto.h,v 2.11 1996/09/06 11:14:35 richter Rel $
 *
 * $Log: dlProto.h,v $
 * Revision 2.11  1996/09/06 11:14:35  richter
 * *** empty log message ***
 *
 */

/* dlManager.c */
extern int dlAlloc(ViewP view, DLobjE type, DLplaneE plane);
extern void dlMkCylinder(int tag, c3dT *crd1, c3dT *crd2, double radius, StyleP style);
extern void dlRmCylinder(DLCylinder *o);
extern void dlMkHeight(int tag, char *map, int plane, double vertac, double hcut, double lcut, GridP gPtr, StyleP style);
extern void dlRmHeight(DLHeight *h);
extern void dlMkMarker(int tag, c3dT *crd, int marker, StyleP style);
extern void dlRmMarker(DLMarker *o);
extern void dlMkSegment(int tag, SegmentP segment, StyleP style);
extern void dlRmSegment(DLSegment *o);
extern void dlMkSphere(int tag, c3dT *crd, double radius, StyleP style);
extern void dlRmSphere(DLSphere *o);
extern void dlMkText(int tag, c3dT *crd, char *string, StyleP style);
extern void dlRmText(DLText *o);
extern void dlMkTriangle(int tag, TriangleP tri, StyleP style);
extern void dlRmTriangle(DLTriangle *o);
extern void dlRemove(ViewP view, int tag);
extern void dlRemoveData(ViewP view, int tag);

#endif
