#ifndef XD_MOLPROTO_H
#define XD_MOLPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/molProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: molProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:25  richter
 * First semi-public beta release
 *
 *
 */

/* molCommand.c */
extern int MoleculeCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
extern int MoleculeObjectCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
/* molManager.c */
extern MoleculeP molAlloc(char *name);
extern void molClean(MoleculeP mPtr, int old);
extern void molFree(MoleculeP *mol);
extern int molListByName(char *match);

#endif
