#ifndef XD_OBJPROTO_H
#define XD_OBJPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/objProto.h,v 2.11 1996/09/06 11:26:25 richter Rel $
 *
 * $Log: objProto.h,v $
 * Revision 2.11  1996/09/06 11:26:25  richter
 * arg 'all' to objClean is no longer needed
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/07/03  10:08:05  richter
 * testElement, getElement
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:23  richter
 * First semi-public beta release
 *
 *
 */

/* objManager.c */
extern void objClean(ObjectP obj, int old);
extern int objFindByName(ObjectP oPtr, char *name);
extern int objGetCoord(Tcl_Interp *interp, char *arg, ObjectP oPtr, double c[3]);
extern int testElement(char *name, char *element);
extern char *getElement(char *name);

#endif
