#ifndef XD_PLTPROTO_H
#define XD_PLTPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/pltProto.h,v 2.13 1999/06/03 12:47:12 richter Exp $
 *
 * $Log: pltProto.h,v $
 * Revision 2.13  1999/06/03 12:47:12  richter
 * first throw at removable views
 *
 * Revision 2.12  1996/11/03 16:35:51  richter
 * pltSegments is of type int
 *
 * Revision 2.11  1996/09/06  11:31:56  richter
 * lots of changes caused by the new display list interface
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.2  1996/07/03  10:08:23  richter
 * *** empty log message ***
 *
 * Revision 2.9.1.1  1996/05/19  16:06:26  richter
 * *** empty log message ***
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:24  richter
 * First semi-public beta release
 *
 *
 */

/* pltInit.c */
extern int pltInit(char *d, char *init);
extern int pltDriverCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
extern int pltFlush(ViewP view);
extern MarkDataT *pltGetMarker(int m);
/* pltObjects.c */
extern int pltMessage(char *level, char *fmt, ...);
extern void pltTransform(ViewP view, c3dT *ci, c3dT *co);
extern double pltScale(ViewP view, double v);
extern int pltSegment(ViewP view, SegmentP segment, int (*moveit)(void *, double, double), int (*drawit)(void *, double, double));
extern int pltSetLinestyle(LineP lPtr);
extern int pltRemove(ViewP view, int tag);
/* pltViews.c */
extern int pltCreateView(Tcl_Interp *interp, ViewP view);
extern int pltRescaleView(ViewP view, double scale);
extern ViewP pltSelectView(char *name);
extern int pltClearView(char *name);
extern int pltUpdateView(ViewP view);
extern int pltRemoveView(ViewP view);
extern int pltDDR(ViewP view);

#endif
