#ifndef XD_RELTYPES_H
#define XD_RELTYPES_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/relTypes.h,v 2.11 1996/09/06 11:51:56 richter Rel $
 *
 * $Log: relTypes.h,v $
 * Revision 2.11  1996/09/06 11:51:56  richter
 * new 'tag' field (for the display list interface)
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/07/03  14:29:42  richter
 * *** empty log message ***
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:26  richter
 * First semi-public beta release
 *
 *
 */

typedef struct reliefS *ReliefP;
typedef struct reliefS {
    char     *name;
    int      flags;
    int      tag;
    StyleT   style;
    int      nx, ny, mode;
    c3dT     eye;
    double   vertac;
    double   hcut, lcut;
    SegmentP seg;
    char     *view;
    char     *object;
} ReliefT;

#endif
