#ifndef XD_SETPROTO_H
#define XD_SETPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/setProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: setProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.1  1996/05/19  16:07:25  richter
 * *** empty log message ***
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:28  richter
 * First semi-public beta release
 *
 *
 */

/* setCommand.c */
extern int DatasetCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
extern int DatasetObjectCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
/* setIO.c */
extern int setLoad(Tcl_Interp *interp, DatasetP dPtr, char *file);
extern int loadGrdaim(DatasetP dPtr, char *file);
/* setManager.c */
extern DatasetP setAlloc(char *name);
extern void setClean(DatasetP dPtr, int old, int all);
extern void setFree(DatasetP *set);
extern int setListByName(char *match);
extern DatasetP setFindByName(char *name);
extern char *setGetName(char *name);
extern DsetGrid *dsetGridAlloc(void);
extern DsetFour *dsetFourAlloc(void);
extern DsetPath *dsetPathAlloc(void);
extern DsetSlice *dsetSliceAlloc(void);
extern DsetData *dsetDataAlloc(void);
extern void dataClean(DsetData *d, int old);

#endif
