/*
 * $Header: /scratch/fock/cvsroot/xd/libxd/src/strcasecmp.c,v 2.3 1996/10/31 10:10:50 richter Rel $
 *
 * $Log: strcasecmp.c,v $
 * Revision 2.3  1996/10/31 10:10:50  richter
 * new revision number scheme without branches
 *
 * Revision 2.2  1995/11/16  14:17:55  richter
 * Second semi-public beta release
 *
 * Revision 2.1  1995/09/20  12:51:19  richter
 * Second semi-public beta release
 *
 * Revision 2.0  1995/05/12  11:53:59  richter
 * First semi-public beta release
 *
 *
 */
#include <ctype.h>
#include "strcasecmp.h"

#define NULL (char *)0
int
strcasecmp(char *s1,
	   char *s2)
{

    if(s1 == NULL && s2 == NULL) return(0);
    if(s1 == NULL) return(1);
    if(s2 == NULL) return(-1);

    while(*s1 && *s2 &&
	  (tolower(*s1) == tolower(*s2))) {
        s1++, s2++;
    }
    return(tolower(*s1)-tolower(*s2));
}

int
strncasecmp(char *s1,
	    char *s2,
	    int n)
{
    int d;
    while (--n >= 0) {
	d = (tolower(*s1) - tolower(*s2));
	if ( d != 0 || *s1 == '\0' || *s2 == '\0' )
            return d;
	++s1;
	++s2;
    }
    return(0);
}
