#ifndef XD_VIEPROTO_H
#define XD_VIEPROTO_H
/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/vieProto.h,v 2.10 1996/07/25 09:14:52 richter Rel $
 *
 * $Log: vieProto.h,v $
 * Revision 2.10  1996/07/25 09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.2  1996/07/03  09:57:59  richter
 * *** empty log message ***
 *
 * Revision 2.9.1.1  1996/05/19  15:57:33  richter
 * ViewOptT
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:19  richter
 * First semi-public beta release
 *
 *
 */

/* vieCommand.c */
extern int ViewCmd(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
extern int ViewObjectCmd(ClientData data, Tcl_Interp *interp, int argc, char **argv);
extern int vieAutoCreate(Tcl_Interp *interp, char *name, char *type, ViewOptT *vOpt);
/* vieManager.c */
extern ViewP viewAlloc(char *name);
extern void viewClean(ViewP view, int old);
extern void viewFree(ViewP view);
extern int viewListByName(char *match);
extern ViewP viewFindByName(char *name, char *type);
extern char *viewMakeName(char *name, char *type);
extern void viewRegisterObject(ViewP view, char *name, char *type);
extern void viewUnregisterObject(ViewP view, char *name);
extern int viewParseArgs(ObjectP obj, int *argc, char **argv, ViewOptT *opt);
extern int viewGetConfig(Tcl_DString *o, ViewOptT *opt, int what);

#endif
