/*
 * Copyright (c) 1995 The XD Group, Free University of Berlin. All rights reserved.
 *
 * $Header: /scratch/fock/cvsroot/xd/xdgraph/src/xdgraph.h,v 2.11 1996/09/06 12:00:14 richter Rel $
 *
 * $Log: xdgraph.h,v $
 * Revision 2.11  1996/09/06 12:00:14  richter
 * dlTypes
 *
 * Revision 2.10  1996/07/25  09:14:52  richter
 * new numbers because CV (emacs package) does not unterstand branches
 *
 * Revision 2.9.1.2  1996/07/03  14:27:08  richter
 * no more slc*
 *
 * Revision 2.9.1.1  1996/05/19  16:01:18  richter
 * xydiagrams and markers
 *
 * Revision 2.9  1996/04/09  16:13:02  richter
 * first ci for xdgraph (formerly xd2d)
 *
 * Revision 2.0  1995/05/12  11:54:27  richter
 * First semi-public beta release
 *
 *
 */

#include "sysIncludes.h"

extern Tcl_Interp *interp;

#define FALSE 0
#define TRUE 1
#define NIL ((char *) 0)

#define XD_TCL_ABORT 101

#define recordSize 1000

#include "segTypes.h"
#include "grdTypes.h"
#include "styTypes.h"
#include "isoTypes.h"
#include "objTypes.h"
#include "cnxTypes.h"
#include "drvTypes.h"
#include "xydTypes.h"
#include "heiTypes.h"
#include "pthTypes.h"
#include "fouTypes.h"
#include "ctrTypes.h"
#include "relTypes.h"
#include "setTypes.h"
#include "molTypes.h"
#include "mrkTypes.h"

#include "dlTypes.h"

#include "vieTypes.h"

#define PRINT_BUFFER_SIZE 1000
extern char buf[PRINT_BUFFER_SIZE];
